summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
Diffstat (limited to 'source4')
-rwxr-xr-xsource4/scripting/bin/samba_backup12
1 files changed, 11 insertions, 1 deletions
diff --git a/source4/scripting/bin/samba_backup b/source4/scripting/bin/samba_backup
index 56125789d8..75ebec66e3 100755
--- a/source4/scripting/bin/samba_backup
+++ b/source4/scripting/bin/samba_backup
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# Copyright (C) Matthieu Patou <mat@matws.net> 2010
+# Copyright (C) Matthieu Patou <mat@matws.net> 2010-2011
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -34,6 +34,16 @@ DIRS="private etc sysvol"
DAYS=90
WHEN=`date +%d%m%y`
+if [ ! -d $WHERE ]; then
+ echo "Missing backup directorty $WHERE"
+ exit 1
+fi
+
+if [ ! -d $FROMWHERE ]; then
+ echo "Missing or wrong provision directorty $FROMWHERE"
+ exit 1
+fi
+
cd $FROMWHERE
for d in $DIRS;do
relativedirname=`find . -type d -name "$d" -prune`